<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart" class="fuenteMini">

        <h:form>
            <style>
                .jpanel{

                    border: 1px solid #d4ccb0;
                    background-color: #ece8da;
                    border-radius: 10px;
                }

                .jpanel thead tr th{

                    background-color: #459e00;
                    color: #fff;
                    border: 1px solid #327e04;
                    border-radius: 10px 10px 0 0 !important;
                }

                .jpanel tbody tr td{

                    background-color: #f5f3e5;
                    font-weight: bolder;
                }

                .jpanel tbody tr:last-child td:first-child{

                    border-radius: 0 0 0 10px;
                }

                .jpanel tbody tr:last-child td:last-child{

                    border-radius: 0 0 10px 0;
                }
            </style>

            <div 
                align="left"
                style="margin: 10px;">
                <h:outputText value="RH -> Manuales y Terceros -> Administrador" style="font-weight: bold"/>
                <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
                <h:outputText value="Administrador de Movimientos Manuales y Terceros" />
                <br/><br/>



            </div>


            <h:panelGrid columns="2" columnClasses="centered5,centered6" cellpadding="5" style="padding-left: 250px">
                <p:outputLabel 
                    for="inputNumeroEmpleado" 
                    value="#{translatedMessage['restricted.rh.empleado.nombreEmpleado']}: " 
                    style="font-weight: bold"/>

                <p:autoComplete id="inputNumeroEmpleado" 
                                class="mayusculas cien-porciento"
                                maxlength="20"
                                value="#{adminManualesMB.rhNomnEmpleadosTOSelected.numeroEmpleado}"
                                completeMethod="#{adminManualesMB.completaNumeroEmpleado}"
                                var="empleados" 
                                minQueryLength="1" 
                                panelStyle="width:40%; max-height:250px; overflow:auto;"
                                size="40"
                                itemValue="#{empleados}"
                                itemLabel="#{adminManualesMB.numeroEmpleadoLabel(empleados)}"
                                converter="entityConverter" 
                                emptyMessage="No hay coincidencias"
                                forceSelection="true">
                    <p:ajax 
                        event="itemSelect" 
                        listener="#{adminManualesMB.seleccionaEmpleado}" 
                        update="@(.dtManualesEmpleado)"/>  

                </p:autoComplete>      
            </h:panelGrid>




            <br/>

            <h:panelGrid columns="1" columnClasses="centered7" cellpadding="5">
                <p:dataTable
                    id="dtManualesEmpleado" 
                    class="dtManualesEmpleado"
                    value="#{adminManualesMB.lstManualesEmpleado}"
                    var="manuales" 
                    lazy="true" 
                    paginator="true" 
                    rowKey = "#{manuales.idManualTercero}"
                    rowsPerPageTemplate="5,10,15"
                    paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
                    currentPageReportTemplate="Mostrando del {startRecord} al {endRecord} de {totalRecords}."
                    scrollable="true" 
                    scrollWidth="99%"
                    paginatorPosition="bottom" 
                    rows="5"
                    style="width: 100%;
                    font-size: 85%"
                    emptyMessage="No se encontraron registros" >

                    <f:facet name="header">
                        Manuales y Terceros del Empleado
                    </f:facet>

                    <p:column 
                        headerText="Clave del Concepto" 
                        style="width:10%;                                                            
                        font-size: 85%">

                        <p:outputLabel value="#{manuales.rhNomnConceptoTO.claveConcepto}"/>
                    </p:column>

                    <p:column 
                        headerText="Nombre del Concepto" 
                        style="width:15%;                            
                        left: auto;
                        font-size: 85%">

                        <p:outputLabel value="#{manuales.rhNomnConceptoTO.nombreConcepto}"/>
                    </p:column>

                    <p:column 
                        headerText="Número de Descuentos" 
                        style="width:10%;                               
                        font-size: 85%">

                        <p:outputLabel value="#{manuales.numeroDescuentos}"/>
                    </p:column>

                    <p:column 
                        headerText="Porcentaje" 
                        style="width:10%;
                        font-size: 85%">

                        <p:outputLabel value="#{manuales.porcentaje}"/>
                    </p:column>

                    <p:column 
                        headerText="Número de faltas" 
                        style="width:10%;
                        font-size: 85%">

                        <p:outputLabel value="#{manuales.intCantidadFaltas}"/>
                    </p:column>                

                    <p:column 
                        headerText="Importe" 
                        style="width:10%;
                        font-size: 85%">

                        <h:outputText value="#{manuales.importe}">
                            <f:convertNumber 
                                pattern="###,###.00" />
                        </h:outputText>
                    </p:column>                   

                    <p:column 
                        headerText="Fecha Inicio" 
                        style="width:10%;
                        font-size: 85%">

                        <p:outputLabel value="#{manuales.fechaInicio}">
                            <f:convertDateTime 
                                pattern = "dd/MMM/yyyy" 
                                timeZone="America/Mexico_City" />
                        </p:outputLabel>
                    </p:column>

                    <p:column 
                        headerText="Fecha Fin" 
                        style="width:10%;
                        font-size: 85%">

                        <p:outputLabel value="#{manuales.fechaFin}">
                            <f:convertDateTime 
                                pattern = "dd/MMM/yyyy" 
                                timeZone="America/Mexico_City" />
                        </p:outputLabel>
                    </p:column>

                    <p:column 
                        headerText="Opciones" 
                        style="width: 15%; 
                        left: auto;
                        font-size: 85%">
                        <div align="center">
                            <p:commandButton                        
                                title="Actualizar"
                                value="Actualizar"
                                style="font-size: 70%;width: 90px"
                                actionListener="#{adminManualesMB.dlgActualizaManual(manuales)}"
                                update="@(form)"
                                oncomplete="PF('dlg1').show();"
                                >
                            </p:commandButton>

                            <p:commandButton 
                                title="Eliminar"
                                actionListener="#{adminManualesMB.eliminaManual(manuales)}"
                                update="@(form)"
                                class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-only"
                                style="font-size: 70%;width: 90px;margin-top: 2px;">

                                <p:confirm header="Confimación de ELIMINAR" 
                                           message="¿Está seguro de ELIMINAR el registro?" 
                                           icon="ui-icon-alert"/>
                            </p:commandButton>

                            <p:confirmDialog 
                                global="true" 
                                showEffect="fade" 
                                hideEffect="fade">

                                <p:commandButton 
                                    value="Si" 
                                    type="button" 
                                    styleClass="ui-confirmdialog-yes" 
                                    icon="ui-icon-check"/>

                                <p:commandButton 
                                    value="No" 
                                    type="button" 
                                    styleClass="ui-confirmdialog-no" 
                                    icon="ui-icon-close"/>
                            </p:confirmDialog>
                        </div>
                    </p:column>
                </p:dataTable>
            </h:panelGrid>
        </h:form>
        <h:form>

            <p:commandButton
                value="Cerrar"
                style="float: right;"
                actionListener="#{adminManualesMB.cerrar()}"

                >

            </p:commandButton>

        </h:form>



        <p:dialog 
            header="Editar manuales" 
            widgetVar="dlg1" 
            minHeight="40" 
            modal="true" 
            closable="false"
            resizable="false"
            draggable="false"
            appendTo="@(body)">          

            <p:ajax 
                event="close" 
                listener="#{adminManualesMB.handleClose}" />

            <p:outputPanel>                    
                <h:form 
                    id="formCatPotenciaciones" 
                    styleClass="clsFormManuales">

                    <h:panelGrid columns="4" cellpadding="5" columnClasses="centered5,centered6,centered5,centered6">
                        <p:outputLabel 
                            for="inpDescripcion"
                            value="Descripción del concepto: " style="font-weight: bold" />

                        <p:outputLabel 
                            id="inpDescripcion"
                            style="width: 350px;"
                            value="#{adminManualesMB.rhNomnManualesTercerosTOSelected.rhNomnConceptoTO.nombreConcepto}"
                            />

                        <p:outputLabel 
                            for="inpClave"
                            value="Clave del concepto: " style="font-weight: bold" />

                        <p:outputLabel 
                            id="inpClave"
                            style="width: 180px"
                            value="#{adminManualesMB.rhNomnManualesTercerosTOSelected.rhNomnConceptoTO.claveConcepto}"/>

                        <p:outputLabel 
                            for="inpImp"
                            value="Importe / Unidades: " style="font-weight: bold"
                            rendered="#{adminManualesMB.blRequiredImporte}" />

                        <p:inputNumber
                            id="inpImp"
                            value="#{adminManualesMB.rhNomnManualesTercerosTOSelected.importe}"
                            required="#{adminManualesMB.blRequiredImporte}"
                            rendered="#{adminManualesMB.blRequiredImporte}"
                            size="25"
                            requiredMessage="El campo de importe / unidad es obligatorio"
                            minValue="0.0"
                            maxValue="#{adminManualesMB.valorArgumento}"/>

                        <p:outputLabel 
                            for="inpPorcentaje"
                            value="Porcentaje: " style="font-weight: bold"
                            rendered="#{adminManualesMB.blRequiredPorcentaje}"/>

                        <p:inputNumber
                            id="inpPorcentaje"
                            required="#{adminManualesMB.blRequiredPorcentaje}"
                            rendered="#{adminManualesMB.blRequiredPorcentaje}"
                            size="25"
                            requiredMessage="El campo de porcentaje es obligatorio"
                            value="#{adminManualesMB.rhNomnManualesTercerosTOSelected.porcentaje}"
                            minValue="0"
                            maxValue="99"/>

                        <p:outputLabel 
                            for="inpCantidadFaltas"
                            value="Cantidad de faltas: " style="font-weight: bold; "
                            rendered="#{adminManualesMB.blRequiredNumeroFaltas}"/>

                        <p:inputNumber
                            id="inpCantidadFaltas"
                            required="#{adminManualesMB.blRequiredNumeroFaltas}"
                            rendered="#{adminManualesMB.blRequiredNumeroFaltas}"
                            requiredMessage="El campo de número de faltas es obligatorio"
                            size="25"
                            value="#{adminManualesMB.rhNomnManualesTercerosTOSelected.intCantidadFaltas}"
                            minValue="0"
                            maxValue="99"/>

                        <p:outputLabel value="" /><p:outputLabel value="" />


                        <p:outputLabel 
                            for="listaQuincenasInicio" 
                            value="Quincena Inicio: "
                            style=" font-weight:bold"
                            />

                        <p:selectOneMenu 
                            id="listaQuincenasInicio" 
                            disabled="#{adminManualesMB.blDisableFechaInicio}"
                            requiredMessage="Ingresar Quincena inicio de movimiento"
                            converter="entityConverter"   
                            filter="true" 
                            value="#{adminManualesMB.catQuincenaTOInicio}"
                            autoWidth="false"
                            style="width: 150px">

                            <f:selectItem   
                                itemValue="#{null}"
                                itemLabel="Elegir quincena inicio"
                                noSelectionOption="true" 
                                itemDisabled="true" />

                            <f:selectItems 
                                value="#{adminManualesMB.catQuincenas}" 
                                var="quin"  
                                itemLabel="#{quin.strDescripcionQuin}" 
                                itemValue="#{quin}"/>

                            <p:ajax 
                                event="valueChange" 
                                listener="#{adminManualesMB.onFechaInicioSelect}" 
                                update="inpFechaInicio inpDescuentosTotales fefi quinFin"
                                partialSubmit="true" />
                        </p:selectOneMenu>

                        <p:outputLabel 
                            for="inpFechaInicio"
                            value="Fecha inicio de movimiento: " style="font-weight: bold"
                            />

                        <h:outputLabel id = "inpFechaInicio" value="#{adminManualesMB.rhNomnManualesTercerosTOSelected.fechaInicio}"
                                       >

                            <f:convertDateTime pattern="dd/MM/yyyy" />
                        </h:outputLabel>

                        <!--p:calendar 
                            id="inpFechaInicio" 
                            required="#{adminManualesMB.blRenderFechaInicio}"
                            requiredMessage="Ingresar fecha de inicio de movimiento"
                            rendered="#{adminManualesMB.blRenderFechaInicio}"
                            showOn="button"
                            pattern="dd/MM/yyyy"
                            locale= "es"
                            navigator="true"
                            disabled="true"
                            value="#{adminManualesMB.rhNomnManualesTercerosTOSelected.fechaInicio}">

                            <p:ajax 
                                event="dateSelect"
                                listener="#{adminManualesMB.handleFechaChange}"
                                update="inpDescuentosTotales inpFechafin"/>
                        </p:calendar-->

                        <p:outputLabel 
                            id="fefi" 
                            for="listaAnioFin" 
                            value="Año fin del movimiento: " 
                            style=" font-weight:bold"/>

                        <p:selectOneMenu 
                            id="listaAnioFin" 
                            converter="entityConverter"   
                            filter="true" 
                            requiredMessage="Ingresar Año fin de movimiento"
                            value="#{adminManualesMB.anioFinMov}"
                            autoWidth="false"
                            style="width: 150px">

                            <f:selectItem   
                                itemValue="#{null}"
                                itemLabel="Elegir año fin"
                                noSelectionOption="true" 
                                itemDisabled="true" />                    

                            <f:selectItems 
                                value="#{adminManualesMB.ejercicios}" 
                                var="anio"  
                                itemLabel="#{anio.valor}" 
                                itemValue="#{anio.valor}"/>

                            <p:ajax 
                                event="valueChange" 
                                listener="#{adminManualesMB.obtenerQuincenaFinSelect(1)}" 
                                update="listaQuincenasFin inpFechafin"
                                process="listaAnioFin"
                                partialSubmit="true" />                   
                        </p:selectOneMenu>

                        <p:outputLabel value="" /><p:outputLabel value="" />

                        <p:outputLabel 
                            id="quinFin" 
                            value="Quincena fin del movimiento: "  
                            style=" font-weight:bold"/>

                        <p:selectOneMenu 
                            id="listaQuincenasFin" 
                            converter="entityConverter"   
                            filter="true" 
                            requiredMessage="Ingresar Quincena fin de movimiento"
                            value="#{adminManualesMB.catQuincenaTOFin}"
                            autoWidth="false"
                            style="width: 150px">          

                            <f:selectItem   
                                itemValue="#{null}"
                                itemLabel="Elegir quincena fin"
                                noSelectionOption="true" 
                                itemDisabled="true" />

                            <f:selectItems 
                                value="#{adminManualesMB.lstNumQuincenas}" 
                                var="quin"  
                                itemLabel="#{quin.strDescripcionQuin}" 
                                itemValue="#{quin}" >
                            </f:selectItems>

                            <p:ajax 
                                event="valueChange" 
                                listener="#{adminManualesMB.onQuincenaFinSelect}" 
                                update="inpDescuentosTotales inpFechafin"
                                partialSubmit="true" />
                        </p:selectOneMenu>

                        <p:outputLabel 
                            for="inpFechafin"
                            value="Fecha fin de movimiento" style="font-weight: bold"
                            />

                        <h:outputLabel id = "inpFechafin"  value="#{adminManualesMB.rhNomnManualesTercerosTOSelected.fechaFin}"
                                       >

                            <f:convertDateTime pattern="dd/MM/yyyy" />
                        </h:outputLabel>

                        <!--p:calendar 
                            id="inpFechafin" 
                            showOn="button"
                            pattern="dd/MM/yyyy"
                            locale= "es"
                            navigator="true"
                            mindate="#{adminManualesMB.rhNomnManualesTercerosTOSelected.fechaInicio}"
                            required="#{adminManualesMB.blRenderFechaFin}"
                            rendered="#{adminManualesMB.blRenderFechaFin}"
                            disabled="true"
                            requiredMessage="Ingresar fecha de fin de movimiento"
                            value="#{adminManualesMB.rhNomnManualesTercerosTOSelected.fechaFin}">

                            <p:ajax 
                                event="dateSelect"
                                listener="#{adminManualesMB.handleFechaChange}"
                                update="inpDescuentosTotales"/>
                        </p:calendar-->






                        <p:outputLabel 
                            for="inpDescuentosAplicados"
                            value="No. de descuentos aplicados: " style="font-weight: bold"
                            rendered="#{adminManualesMB.blRenderDescuentosAplicados}"/>

                        <p:inputNumber
                            id="inpDescuentosAplicados"
                            required="#{adminManualesMB.blRenderDescuentosAplicados}"
                            rendered="#{adminManualesMB.blRenderDescuentosAplicados}"
                            value="#{adminManualesMB.rhNomnManualesTercerosTOSelected.intDescuentoAplicados}"/>

                        <p:outputLabel
                            for="inpComentarios" style="font-weight: bold; "
                            value="Comentarios: " />

                        <p:inputTextarea
                            id="inpComentarios"
                            maxlength="140" 
                            style="width: 180px"
                            required="true"
                            requiredMessage="El campo de comentarios es obligatorio."
                            value="#{adminManualesMB.rhNomnManualesTercerosTOSelected.strComentarios}"/>                                

                        <p:outputLabel 
                            for="inpDescuentosTotales" style="font-weight: bold"
                            rendered="#{adminManualesMB.blRenderNumeroDescuentos}"
                            value="No. de descuentos totales: " />

                        <p:inputNumber
                            rendered="#{adminManualesMB.blRenderNumeroDescuentos}"
                            id="inpDescuentosTotales"
                            value="#{adminManualesMB.rhNomnManualesTercerosTOSelected.numeroDescuentos}"
                            readonly="true"/>                    


                    </h:panelGrid>

                    <div align="right">
                        <p:commandButton
                            value="Actualizar"
                            actionListener="#{adminManualesMB.actualizaManual()}" 
                            update="@(.dtManualesEmpleado)"
                            style="display:inline;                                                 
                            font-size:small;"/>
                        <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                        <p:commandButton
                            id="btnCerrar"  
                            value="Cerrar"
                            update="@(.dtManualesEmpleado)"
                            oncomplete="PF('dlg1').hide();"                                                                      
                            style="display:inline;                                                 
                            font-size:small;"/>
                    </div>

                </h:form>
            </p:outputPanel>
        </p:dialog>
    </ui:define>
</ui:composition>